> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get loyalty wallet pass

> Read the loyalty wallet pass of a customer. Does not create one.



## OpenAPI

````yaml GET /customers/{id}/loyalty-wallet-passes
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /customers/{id}/loyalty-wallet-passes:
    get:
      tags:
        - Loyalty wallet passes
      description: Read the loyalty wallet pass of a customer. Does not create one.
      operationId: getCustomerLoyaltyWalletPass
      parameters:
        - name: id
          in: path
          required: true
          description: The customer external id
          schema:
            type: string
      responses:
        '200':
          description: Loyalty wallet pass
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/LoyaltyWalletPass'
        '404':
          description: Loyalty wallet pass not found
components:
  schemas:
    LoyaltyWalletPass:
      type: object
      required:
        - pass_id
        - customer_id
        - template_id
        - status
        - points_balance
        - claim_url
        - apple_url
        - google_save_url
        - created_at
        - updated_at
      properties:
        pass_id:
          type: string
          format: uuid
          description: The loyalty wallet pass unique identifier
        customer_id:
          type: string
          description: The customer external id. The pass barcode encodes this value.
        template_id:
          type: string
          format: uuid
          description: The loyalty wallet pass template
        brand_id:
          type: string
          nullable: true
          description: The template brand
        status:
          type: string
          enum:
            - ISSUED
            - REVOKED
        points_balance:
          type: number
          description: Points of the template reward when the pass was last refreshed
        tier_id:
          type: string
          format: uuid
          nullable: true
          description: Customer tier when the pass was last refreshed
        claim_url:
          type: string
          description: >-
            Public /w/{token} page. Detects the OS and opens Apple Wallet or
            Google Wallet.
        apple_url:
          type: string
          description: Direct .pkpass download
        google_save_url:
          type: string
          description: Redirects to the Google Wallet save link
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.